# Class webdriver.stacktrace.Snapshot

code »

Stores a snapshot of the stack trace at the time this instance was created. The stack trace will always be adjusted to exclude this function call.

## Constructor

webdriver.stacktrace.Snapshot ( opt_slice )

Parameters

opt_slice: `number=`
  The number of frames to remove from the top of the generated stack trace.

Show:PublicProtectedPrivate

## Instance Methods

code » getStacktrace ( ) ⇒ `!Array`

Returns

The parsed stack trace.

## Instance Properties

code » parsedStack_ : `Array`

The parsed stack trace. This list is lazily generated the first time it is accessed.

code » slice_ : `number`
code » stack_ : `string`

The error's stacktrace. This must be accessed immediately to ensure Opera computes the context correctly.